/*
 * Copyright (c) 2007, 2009, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id: URLClient.java 62833 2011-05-18 13:13:23Z djiao $
 */

package com.sun.ts.tests.servlet.api.javax_servlet.filter;

import java.io.PrintWriter;
import com.sun.javatest.Status;
import com.sun.ts.tests.servlet.common.client.AbstractUrlClient;


public class URLClient extends AbstractUrlClient {
    /**
     * Entry point for different-VM execution.  It should delegate to method
     * run(String[], PrintWriter, PrintWriter), and this method should not
     * contain any test configuration.
     */
    public static void main(String[] args) {
        URLClient theTests = new URLClient();
        Status s = theTests.run(args, new PrintWriter(System.out), 
                   new PrintWriter(System.err));
        s.exit();
    }

    /**
     * Entry point for same-VM execution. In different-VM execution, the 
     * main method delegates to this method.
     */
    public Status run(String args[], PrintWriter out, PrintWriter err) {

        setContextRoot("/servlet_js_filter_web");

        return super.run(args, out, err);
    }

    /*
     * @class.setup_props: webServerHost;
     *                     webServerPort;
     *                     ts_home;
     */

    /* Run test */
    /*
     * @testName: doFilterTest
     *
     * @assertion_ids: Servlet:SPEC:58; Servlet:SPEC:48; Servlet:JAVADOC:293;
     *
     * @test_Strategy: Client attempts to access a servlet and the filter
     *                 configured for that servlet should be invoked.
     */

    public void doFilterTest() throws Fault {
        TEST_PROPS.setProperty(APITEST, "DoFilterTest");
        invoke();
    }

    /*
     * @testName: initFilterConfigTest
     *
     * @assertion_ids: Servlet:SPEC:58; Servlet:SPEC:45;
     *                 Servlet:JAVADOC:290; 
     *
     * @test_Strategy: Client attempts to access a servlet and the filter
     *                 configured for that servlet.
     */

    public void initFilterConfigTest() throws Fault {
        TEST_PROPS.setProperty(APITEST, "InitFilterConfigTest");
        invoke();
    }
}
